<template>
  <div class="absolute flex w-full h-dvh">
    <aside class="hidden lg:flex flex-col shrink-0 w-1/5 bg-gradient-to-br from-teal-600 to-cyan-800 text-white min-w-[256px]">
      <section class="flex items-center px-4 py-6 w-full bg-transparent text-2xl font-black tracking-wider uppercase leading-none">
        <v-icon
          icon="mdi-home"
          color="white"
          class="mr-2 text-3xl"
        />

        <span class="select-none">{{ inject('appName') }}</span>
      </section>

      <v-divider thickness="2" />

      <nav class="flex-auto">
        <NavMenu />
      </nav>

      <v-divider thickness="2" />

      <section class="p-4 flex items-center">
        <ActiveAccount />
      </section>
    </aside>

    <main class="flex-auto">
      <slot />
    </main>
  </div>
</template>

<script setup lang="ts">
import { inject } from 'vue';

import NavMenu from '../content/NavMenu.vue';
import ActiveAccount from '../content/ActiveAccount.vue';
</script>